Bug 980869 - Boxes requires to set SELinux context on read-only NFS storage
Boxes requires to set SELinux context on read-only NFS storage
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 08:01 EDT by Martin
Modified: 2015-02-17 10:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:48:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin 2013-07-03 08:01:37 EDT
Description of problem:
(gnome-boxes:3884): Boxes-WARNING **: wizard.vala:208: Unable to start domain: unable to set security context 'system_u:object_r:virt_content_t:s0' on '/mnt/globalsync/fedora/fedora-alt/stage/19-RC3/Fedora/x86_64/iso/Fedora-19-x86_64-netinst.iso': Read-only file system


Version-Release number of selected component (if applicable):
gnome-boxes-3.8.3-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. Have read-only NFS mount with ISO image
2. Run Boxes.
3. Try to install using image from NFS.

Actual results:
Box creation failed.

Expected results:
Box is created and booted.
Comment 1 Daniel Berrange 2013-07-03 08:07:42 EDT
NFS is a world of hurt wrt to SELinux, since it doesn't actually support labelling at all currently. Libvirt has code to try to cope with this by detecting specific error codes we might get back from NFS. This doesn't seem to working here though, because it seems we're getting EROFS back before it even realizes that it would be ENOTSUP.

That said the EROFS error code is possible to hit with any filesystem, not just NFS. So I'm undecided whether libvirt should cope with EROFS explicitly, or the application be required to set  <seclabel relabel=no> against any image that is located on a read-only filesystem. Something to discuss on the libvirt mailing list
Comment 3 Fedora End Of Life 2015-01-09 13:38:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:48:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.